{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macros %}

{% block pageTitle title %}

{% block pageActions %}
    {{ macros.backButton('sitting_show_information', { id:sitting.id }) }}
{% endblock %}

{% block pageTable %}

<div class="accordion mb-2" id="accordion-token">
    {% for token in tokens %}
        <div class="accordion-item">
                <h2 class="accordion-header" id="heading{{ token['tsaFilename'] }}">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ token['tsaFilename'] }}" aria-expanded="true" aria-controls="collapse{{ token['tsaFilename'] }}">
                        <span class="d-flex justify-content-between align-items-center w-100 me-3">
                            <span>{{ token['tsaFilename'] }}</span>
                            {% if token['isValid'] == false %}<span class="text-danger"><i class="fa-regular fa-circle-xmark"></i></span>{% endif %}
                            {% if token['isValid'] == true %}<span class="text-success"><i class="fa-regular fa-circle-check"></i></span>{% endif %}
                        </span>
                    </button>
                </h2>

                <div id="collapse{{ token['tsaFilename'] }}" class="accordion-collapse collapse {% if loop.first %} show {% endif %}" aria-labelledby="heading{{ token['tsaFilename'] }}" data-bs-parent="#accordion-token">
                    <div class="accordion-body">
                        <div class="body-tsa {% if token['isValid'] == true %} alert alert-success {% else %} alert alert-danger {% endif %}">
                            <strong>.tsa</strong>
                            <p>{{ token['tsaContent']|replace({"\n":"<br>"})|raw }}</p>
                        </div>
                        <hr>
                        <div class="body-text">
                            <strong>.txt</strong>
                            <p>{{ token['content']|replace({"\n":"<br>"})|raw }}</p>
                        </div>
                    </div>
                </div>
            </div>
    {% endfor%}
</div>

{% endblock %}
